org.codehaus.plexus.configuration.source

## Class ContainerConfigurationSource

- java.lang.Object
- - org.codehaus.plexus.configuration.source.ContainerConfigurationSource

All Implemented Interfaces:
  ConfigurationSource

    public class ContainerConfigurationSource
    extends java.lang.Object
    implements ConfigurationSource

Author:
  Jason van Zyl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.configuration.source.ConfigurationSource

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ContainerConfigurationSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PlexusConfiguration` `getConfiguration(ComponentDescriptor componentDescriptor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContainerConfigurationSource

    public ContainerConfigurationSource()

### Method Detail

#### getConfiguration

    public PlexusConfiguration getConfiguration(ComponentDescriptor componentDescriptor)

Specified by:
  `getConfiguration` in interface `ConfigurationSource`